#ifndef DEPOSIT_A_H_
#define DEPOSIT_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "MDA_EFSM.h"
#include "Data.h"
#include <iostream>

class deposit_a {

public:
	deposit_a();
	virtual ~deposit_a();

	bool virtual deposit( Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*DEPOSIT_A_H_*/
